%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-mkdirp
Version:        1.0.4
Release:        %mkrel 3
Summary:        Recursive directory creation module for Node.js

License:        MIT
Group:          Development/Other
URL:            https://github.com/isaacs/node-mkdirp/
Source0:        https://registry.npmjs.org/mkdirp/-/mkdirp-%{version}.tgz
BuildArch:      noarch


BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(mock-fs)
%endif


%description
Creates directories recursively, like `mkdir -p`.


%prep
%setup -q -n package
%nodejs_fixdep minimist "^1.2.0"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mkdirp
cp -pr index.js package.json lib %{buildroot}%{nodejs_sitelib}/mkdirp
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif


%files
%doc readme.markdown
%license LICENSE
%{nodejs_sitelib}/mkdirp



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.4-3.mga9
+ Revision: 1820545
- Mageia 9 Mass Rebuild

* Sat Jan 23 2021 neoclust <neoclust> 1.0.4-2.mga8
+ Revision: 1672917
- Fix installing lib folder

* Thu Dec 31 2020 neoclust <neoclust> 1.0.4-1.mga8
+ Revision: 1667400
- New version 1.0.4

* Mon May 04 2020 joequant <joequant> 0.5.1-5.mga8
+ Revision: 1580089
- update deps

* Wed Feb 12 2020 umeabot <umeabot> 0.5.1-4.mga8
+ Revision: 1503030
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Thu Sep 20 2018 umeabot <umeabot> 0.5.1-3.mga7
+ Revision: 1280770
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.5.1-2.mga7
+ Revision: 1224971
- Disable tests
+ neoclust <neoclust>
- Enable tests

* Tue May 17 2016 neoclust <neoclust> 0.5.1-1.mga6
+ Revision: 1016235
- New version 0.5.1

* Mon Feb 08 2016 umeabot <umeabot> 0.3.5-2.mga6
+ Revision: 950297
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 0.3.5-1.mga5
+ Revision: 794032
- imported package nodejs-mkdirp


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 0.3.5-1.mga5
- import from FC

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-2
- add macro for EPEL6 dependency generation

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-1
- new upstream release 0.3.5

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.4-2
- add missing build section
- improve summary/description

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.4-1
- new upstream release 0.3.4
- clean up for submission

* Wed May 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.2-1
- New upstream release 0.3.2

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.1-2
- guard Requires for F17 automatic depedency generation

* Mon Apr 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.1-1
- New upstream release 0.3.1

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.0-1
- new upstream release 0.3.0

* Thu Dec 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.1-1
- initial package
